<div>
    <h2 id="page-heading">
        <span jhiTranslate="tfsBackendApp.document.home.title">Documents</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-document" [routerLink]="['/document/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="tfsBackendApp.document.home.createLabel">
            Create a new Document
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="documents?.length === 0">
        <span jhiTranslate="tfsBackendApp.document.home.notFound">No documents found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="documents && documents.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.typeDocument">Type Document</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.nomFichier">Nom Fichier</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.emplacement">Emplacement</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.idDossierSigned">Id Dossier Signed</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.hasSigned">Has Signed</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.dateCreation">Date Creation</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.dateUpdate">Date Update</span></th>
                    <th scope="col" ><span jhiTranslate="tfsBackendApp.document.request">Request</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let document of documents ;trackBy: trackId">
                    <td><a [routerLink]="['/document', document.id, 'view']">{{ document.id }}</a></td>
                    <td>{{ document.typeDocument }}</td>
                    <td>{{ document.nomFichier }}</td>
                    <td>{{ document.emplacement }}</td>
                    <td>{{ document.idDossierSigned }}</td>
                    <td>{{ document.hasSigned }}</td>
                    <td>{{ document.dateCreation | date:'mediumDate' }}</td>
                    <td>{{ document.dateUpdate | date:'mediumDate' }}</td>
                    <td>
                        <div *ngIf="document.requestId">
                            <a [routerLink]="['/request', document.requestId , 'view']" >{{ document.requestId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/document', document.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/document', document.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(document)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
